关键词
监视关键词
POST /v1/keywords keywords:write
监视一个查询。如果别人已在监视完全相同的查询,你会加入它;你无法更改它的设置。
请求体
| 请求体字段 | 类型 | 含义 |
|---|---|---|
query * | string 1–500 | X 搜索语法,任意语言 |
label | string | 在每个 search.match 中回显 |
响应
201 已创建,200 已加入现有关键词;若运营方暂停了它,note 会提示。Location 指向它。
状态: 201, 200, 400, 402, 403
请求
curl -X POST https://api.xsignalfeed.com/v1/keywords \ -H "Authorization: Bearer xsf_your_key" -H "Content-Type: application/json" \ -d '{"query": "($SOL OR \"Solana\") -filter:retweets -filter:replies", "label": "solana"}'
响应 · 201 / 200
{
"id": 12,
"query": "($SOL OR \"Solana\") -filter:retweets -filter:replies",
"label": "solana",
"active": true,
"note": null
}